spring:
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  datasource:
    username: root
    password: root
    url: jdbc:mysql://192.168.100.248:3306/dataware?useSSL=true&verifyServerCertificate=false&useUnicode=true&autoReconnect=true&characterEncoding=utf-8&serverTimezone=GMT%2B8
    driver-class-name: com.mysql.cj.jdbc.Driver
    hikari:
      read-only: false
      connection-timeout: 60000
      idle-timeout: 60000
      validation-timeout: 3000
      max-lifetime: 60000
      login-timeout: 5
      maximum-pool-size: 60
      minimum-idle: 10
  jpa:
    show-sql: true
    hibernate:
      naming:
        physical-strategy: com.tykj.base.config.ToUpperCase
      ddl-auto: update
    database-platform: org.hibernate.dialect.MySQL8Dialect

server:
  port: 13711
sync:
  ip: 192.168.100.248
  port: 8880
eureka:
  instance:
    prefer-ip-address: true
    lease-expiration-duration-in-seconds: 3
    lease-renewal-interval-in-seconds: 7
  client:
    service-url:
      defaultZone: http://192.168.100.248:1111/eureka/